package com.dhcc.finance.main.domain;

import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
@ApiModel(value = "CwBdRecordTransfer", description = "批量结转结账记录表")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwBdRecordTransfer {    
	/**
     * 主键
     */
    @ApiModelProperty(value = "主键", required = true, example = "")
    private String id;

    /**
     * 批量监控ID
     */
    @ApiModelProperty(value = "批量监控ID", required = false, example = "")
    private String batchMonitorId;

    /**
     * 账套编号
     */
    @ApiModelProperty(value = "账套编号", required = false, example = "")
    private String pkGlorgbook;

    /**
     * 账套名称
     */
    @ApiModelProperty(value = "账套名称", required = false, example = "")
    private String glorgbookName;

    /**
     * 会计期间
     */
    @ApiModelProperty(value = "会计期间", required = false, example = "")
    private String period;

    /**
     * 是否结转
     */
    @ApiModelProperty(value = "是否结转", required = false, example = "")
    private String isTransfer;

    /**
     * 结转失败原因
     */
    @ApiModelProperty(value = "结转失败原因", required = false, example = "")
    private String ransferFailreason;

    /**
     * 是否结账
     */
    @ApiModelProperty(value = "是否结账", required = false, example = "")
    private String isSettle;

    /**
     * 结账失败原因
     */
    @ApiModelProperty(value = "结账失败原因", required = false, example = "")
    private String settleFailreason;

    /**
     * 使用状态
     */
    @ApiModelProperty(value = "使用状态", required = false, example = "")
    private String useState;

    /**
     * 录入人员
     */
    @ApiModelProperty(value = "录入人员", required = false, example = "")
    private String createUser;

    /**
     * 录入时间
     */
    @ApiModelProperty(value = "录入时间", required = false, example = "")
    private Date createTime;

    /**
     * 最后修改人员
     */
    @ApiModelProperty(value = "最后修改人员", required = false, example = "")
    private String updateUser;

    /**
     * 最后修改时间
     */
    @ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
    private Date updateTime;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注", required = false, example = "")
    private String remark;
}