package com.dhcc.finance.main.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;


@ApiModel(value = "CwGlInitbuild",description = "期初余额明细表")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwGlInitbuild {
	/**
     * 期初余额主键
     */
    @ApiModelProperty(value = "期初余额主键", required = true, example = "")
    private String pkInitbuild;

    /**
     * 账套
     */
    @ApiModelProperty(value = "账套", required = false, example = "")
    private String pkGlorgbook;

    /**
     * 期初类型
     */
    @ApiModelProperty(value = "期初类型", required = false, example = "")
    private String initbuildtype;

    /**
     * 期初期间
     */
    @ApiModelProperty(value = "期初期间", required = false, example = "")
    private String period;

    /**
     * 科目主键
     */
    @ApiModelProperty(value = "科目主键", required = false, example = "")
    private String pkAccsubj;

    /**
     * 科目编码
     */
    @ApiModelProperty(value = "科目编码", required = false, example = "")
    private String subjcode;

    /**
     * 科目名称
     */
    @ApiModelProperty(value = "科目名称", required = false, example = "")
    private String subjname;

    /**
     * 币种
     */
    @ApiModelProperty(value = "币种", required = false, example = "")
    private String pkCurrtype;

    /**
     * 原币借方金额
     */
    @ApiModelProperty(value = "原币借方金额", required = false, example = "")
    private BigDecimal debitamount;

    /**
     * 原币贷方金额
     */
    @ApiModelProperty(value = "原币贷方金额", required = false, example = "")
    private BigDecimal creditamount;

    /**
     * 本币借方金额
     */
    @ApiModelProperty(value = "本币借方金额", required = false, example = "")
    private BigDecimal localdebitamount;

    /**
     * 本币贷方金额
     */
    @ApiModelProperty(value = "本币贷方金额", required = false, example = "")
    private BigDecimal localcreditamount;

    /**
     * 是否建账
     */
    @ApiModelProperty(value = "是否建账", required = false, example = "")
    private String isbuild;

    @ApiModelProperty(value = "使用状态", required = false, example = "")
    private String useState;

    @ApiModelProperty(value = "录入人员", required = false, example = "")
    private String createUser;

    @ApiModelProperty(value = "录入时间", required = false, example = "")
    private Date createTime;

    @ApiModelProperty(value = "最后修改人员", required = false, example = "")
    private String updateUser;

    @ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
    private Date updateTime;

    @ApiModelProperty(value = "备注", required = false, example = "")
    private String remark;
}