package com.dhcc.finance.main.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@ApiModel(value = "CwGlTransferExec",description = "结转信息表")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwGlTransferExec {
	/**
     * 结转主键
     */
    @ApiModelProperty(value = "结转主键", required = true, example = "")
    private String pkTransferExec;

    /**
     * 账套主键
     */
    @ApiModelProperty(value = "账套主键", required = false, example = "")
    private String pkGlorgbook;

    /**
     * 会计期间
     */
    @ApiModelProperty(value = "会计期间", required = false, example = "")
    private String period;

    /**
     * 是否结转
     */
    @ApiModelProperty(value = "是否结转", required = false, example = "")
    private String istransfer;

    /**
     * 结转人
     */
    @ApiModelProperty(value = "结转人", required = false, example = "")
    private String transferUser;

    /**
     * 结转时间
     */
    @ApiModelProperty(value = "结转时间", required = false, example = "")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date transferTime;

    @ApiModelProperty(value = "使用状态", required = false, example = "")
    private String useState;

    @ApiModelProperty(value = "录入人员", required = false, example = "")
    private String createUser;

    @ApiModelProperty(value = "录入时间", required = false, example = "")
    private Date createTime;

    @ApiModelProperty(value = "最后修改人员", required = false, example = "")
    private String updateUser;

    @ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
    private Date updateTime;

    @ApiModelProperty(value = "备注", required = false, example = "")
    private String remark;
}