package com.dhcc.finance.main.service;

import com.dhcc.common.model.CurrencyMeta;
import com.dhcc.common.model.response.RestfulResponse;
import com.dhcc.finance.main.domain.CwBdRecordBatch;
import com.dhcc.finance.main.model.VoucherRequestInfo;
import com.github.pagehelper.PageInfo;

public interface CwBdRecordBatchService {
	/**
	 * 功能描述  查询所有记录批次信息
	 * @param nameLike
	 * @param pkGrolName
	 * @param signType
     * @param batchNo
     * @param failReason
     * @param pageNum
     * @param pageSize
     * @param navigatePages
     * @return RestfulResponse<PageInfo<CwBdRecordBatch>,CurrencyMeta>
	 * @author huangpeng
	 * @date 2019年7月16日 上午9:24:58
	 * 修改日志
	 */
	RestfulResponse<PageInfo<CwBdRecordBatch>, CurrencyMeta> searchCwBdRecordBatchAll(String signType, String batchNo, String failReason, String tradeCode, String xtzxmbh, int pageNum, int pageSize,
                                                                                      int navigatePages);
	/**
	 * 功能描述  通过记录直接生成凭证接口
	 *@param voucherRequestInfo
	 *@return RestfulResponse<Object,CurrencyMeta>
	 *@author huangpeng
	 *@date 2019年8月23日 下午9:32:14
	 *修改日志:
	 */
	RestfulResponse<Object, CurrencyMeta> createVoucherByInterface(VoucherRequestInfo voucherRequestInfo);
	/**
	 * 功能描述   根据批次号查询批次信息
	 *@param batchNo
	 *@param pageNum
	 *@param pageSize
	 *@param navigatePages
	 *@return RestfulResponse<PageInfo<CwBdRecordBatch>,CurrencyMeta>
	 *@author huangpeng
	 *@date 2019年10月24日 下午2:32:51
	 *修改日志:
	 */
	RestfulResponse<PageInfo<CwBdRecordBatch>, CurrencyMeta> searchCwBdRecordBatchByBatchNo(String batchNo, int pageNum,
			int pageSize, int navigatePages);

}
