package com.dhcc.finance.main.service;

import com.dhcc.common.model.CurrencyMeta;
import com.dhcc.common.model.response.RestfulResponse;
import com.dhcc.finance.main.domain.CwGlFreevalue;
import com.dhcc.finance.main.model.CwGlFreevalueInfo;
import com.github.pagehelper.PageInfo;

/**
 * 功能描述：辅助标识接口
 * @author dml
 * @date 2019年3月28日 下午7:40:55
 * @修改日志：
 */
public interface CwGlFreevalueService {
	/**
	 * 功能描述：查询全部辅助标识
	 * @param pageNum
	 * @param pageSize
	 * @param navigatePages
	 * @return RestfulResponse<PageInfo<CwGlFreevalue>,CurrencyMeta>
	 * @author dml
	 * @date 2019年3月28日 下午7:42:40
	 * @修改日志：
	 */
	RestfulResponse<PageInfo<CwGlFreevalue>, CurrencyMeta> searchCwGlFreevalueAllData(int pageNum, int pageSize, int navigatePages);
	/**
	 * 功能描述：新增辅助标识
	 * @param cwGlFreevalue
	 * @return RestfulResponse<Object,CurrencyMeta>
	 * @author dml
	 * @date 2019年3月28日 下午7:42:55
	 * @修改日志：
	 */
	RestfulResponse<Object, CurrencyMeta> addCwGlFreevalue(CwGlFreevalue cwGlFreevalue);
	/**
	 * 功能描述：修改辅助标识
	 * @param cwGlFreevalue
	 * @return RestfulResponse<Object,CurrencyMeta>
	 * @author dml
	 * @date 2019年3月28日 下午7:43:09
	 * @修改日志：
	 */
	RestfulResponse<Object, CurrencyMeta> updateCwGlFreevalueByPk(CwGlFreevalue cwGlFreevalue);
	/**
	 * 功能描述：逻辑删除辅助标识
	 * @param pkDetail
	 * @return RestfulResponse<Object,CurrencyMeta>
	 * @author dml
	 * @date 2019年3月28日 下午7:43:19
	 * @修改日志：
	 */
	RestfulResponse<Object, CurrencyMeta> deleteCwGlFreevalueByPk(String pkFreevalue);
	/**
	 * 功能描述：根据assid查询辅助项
	 * @param assid
	 * @param pageNum
	 * @param pageSize
	 * @param navigatePages
	 * @return RestfulResponse<PageInfo<CwGlFreevalue>,CurrencyMeta>
	 * @author dml
	 * @date 2019年8月7日 下午2:18:20
	 * @修改日志：
	 */
	RestfulResponse<PageInfo<CwGlFreevalueInfo>, CurrencyMeta> searchCwGlFreevalueByAssid(String assid ,int pageNum, int pageSize, int navigatePages);
}
